/* ./firmware_eip207_opue.c */

/* -------------------------------------------------------------------------- */
/*                                                                            */
/*   Module        : firmware_eip197                                          */
/*   Version       : 3.5                                                      */
/*   Configuration : FIRMWARE-GENERIC                                         */
/*                                                                            */
/*   Date          : 2022-Dec-21                                              */
/*                                                                            */
/* Copyright (c) 2012-2022 by Rambus, Inc. and/or its subsidiaries.           */
/* All rights reserved. Unauthorized use (including, without limitation,      */
/* distribution and copying) is strictly prohibited. All use requires,        */
/* and is subject to, explicit written authorization and nondisclosure        */
/* agreements with Rambus, Inc. and/or its subsidiaries.                      */
/*                                                                            */
/* For more information or support, please go to our online support system at */
/* https://sipsupport.rambus.com.                                             */
/* In case you do not have an account for this system, please send an e-mail  */
/* to sipsupport@rambus.com.                                                  */
/* -------------------------------------------------------------------------- */


/*----------------------------------------------------------------------------
 * This module uses (requires) the following interface(s):
 */

#include "basic_defs.h"                          // uint32_t

/*----------------------------------------------------------------------------
 * This module implements (provides) the following interface(s):
 */

#include "firmware_eip207_api_dwld.h"     // the interfaces to implement

/*----------------------------------------------------------------------------
 * Definitions and macros
 */

#define FW_VERSION 0x350    /* major, minor, patch (one nibble each) */
#define FW_VERSION_MAJOR 3
#define FW_VERSION_MINOR 5
#define FW_VERSION_PATCH 0

static const uint32_t
FIRMWARE_EIP207_DWLD_OPUE_Image[] =
{
   0x180A0200,
   0x3D808000,
   0x3A008000,
   0x38B57000,
   0x20227080,
   0xF22B154F,
   0x24A08060,
   0x26A08020,
   0x3B808000,
   0x3C0C8000,
   0x00699481,
   0x6003801B,
   0x38327000,
   0x0669B4C4,
   0x163D97C0,
   0x1066E4C0,
   0x608B0013,
   0x033D87C0,
   0x160D0700,
   0x16699682,
   0x106D64C0,
   0x600B001B,
   0x608D0019,
   0x6000801B,
   0x06090601,
   0x033997CF,
   0x133687C0,
   0x2100E21C,
   0xE2289540,
   0x6083007B,
   0x0019948C,
   0x6083007B,
   0x1229180F,
   0xB020901F,
   0x600B8068,
   0x022D380E,
   0x105D988E,
   0x600B0056,
   0x38B37000,
   0x38347000,
   0x5B0A0000,
   0x72900058,
   0x002F802F,
   0x802E802F,
   0x0327807D,
   0xE62217C0,
   0x16690018,
   0x1D400000,
   0xA0109030,
   0x27B08020,
   0x6003803A,
   0x20600000,
   0x00699481,
   0x6083003A,
   0x24B08008,
   0x044997CF,
   0x144687C0,
   0x20B47008,
   0x14D7C488,
   0x1440D540,
   0x2034705C,
   0x18400000,
   0x777002B0,
   0x008B808B,
   0x008B808B,
   0x008B8095,
   0x808B80B9,
   0x008B80AA,
   0x008B808B,
   0x00D680E3,
   0x80DA808B,
   0x80D6808B,
   0x80DA808B,
   0x008B808B,
   0x008B808B,
   0x80898095,
   0x008B80B7,
   0x008B80AA,
   0x008B808B,
   0x008B80E1,
   0x008B808B,
   0x008B808B,
   0x008B808B,
   0x80C8808B,
   0x808B80F1,
   0x090D000F,
   0xE05894C0,
   0x60830065,
   0x105994C1,
   0x600B0060,
   0xF059E480,
   0x60810316,
   0xE05CE484,
   0x60090316,
   0xF05CE480,
   0x60030316,
   0x00699481,
   0x60030026,
   0x033997CF,
   0x60808026,
   0x133687C0,
   0xB05091FE,
   0x60830060,
   0x60000316,
   0x74A00190,
   0x83160076,
   0x83160316,
   0x83160316,
   0x83160316,
   0x83160316,
   0x83160316,
   0x83160316,
   0x83160316,
   0x83160316,
   0x83160316,
   0x80760076,
   0x80760076,
   0x83160076,
   0x00699481,
   0x60830024,
   0x033997CF,
   0x60008024,
   0x133687C0,
   0x38B37000,
   0x38347000,
   0x2180F000,
   0xC11893FF,
   0x6083007D,
   0x111A93FF,
   0x60030085,
   0x5B090000,
   0xC1189000,
   0x6083007D,
   0x2300F000,
   0xC0329000,
   0x600B0381,
   0x90800000,
   0x0889C008,
   0x34808000,
   0x2300F000,
   0x21B08010,
   0x22308014,
   0xC0329000,
   0x600B0381,
   0x20B17040,
   0x20327044,
   0x144DAA8F,
   0x20347060,
   0x90800000,
   0x0554E800,
   0x10D9E404,
   0x3C80C000,
   0x3B00C000,
   0x608B80A5,
   0xB6640100,
   0x3980C000,
   0x20346064,
   0x20B36068,
   0x105994C4,
   0x608B808B,
   0x20B1606C,
   0xF06290C0,
   0x60830129,
   0x60008129,
   0x11000800,
   0xE0D2E409,
   0x608B0373,
   0x17090608,
   0x608080FB,
   0x20B77020,
   0x0554E800,
   0x105994C4,
   0x600B008B,
   0xE0D2E409,
   0x3C80C000,
   0x3B00C000,
   0x608380FB,
   0xB6640100,
   0x10D9E404,
   0x608B0375,
   0x17090604,
   0x6080809B,
   0x20B77020,
   0x20B07060,
   0x16690012,
   0x3C80C000,
   0x3B00C000,
   0x3980C000,
   0xE66603C0,
   0x12D00000,
   0x12200780,
   0x2032700C,
   0x02D00488,
   0x04526800,
   0x11D00600,
   0x11000800,
   0x20346064,
   0x20B36068,
   0x60008129,
   0x20B1606C,
   0x3C80C000,
   0x3B00C000,
   0x3980C000,
   0xE66603C0,
   0x12D00000,
   0x12200780,
   0x2032700C,
   0x02D00488,
   0x04526800,
   0x11000800,
   0x20346064,
   0x20B36068,
   0x60008129,
   0x20B1606C,
   0x3C80C000,
   0x3B00C000,
   0x3980C000,
   0x60800129,
   0x3C80C000,
   0x3B00C000,
   0x600000FB,
   0x12D00000,
   0x20327048,
   0x608080FB,
   0x20B36068,
   0x20B07060,
   0x16690012,
   0x3C80C000,
   0x3B00C000,
   0xA6640000,
   0x02D00488,
   0x03526A00,
   0xF3326A88,
   0x09100000,
   0x11126800,
   0x1119E806,
   0x608B80DD,
   0x20346064,
   0x03D00500,
   0x608080FB,
   0x20B36068,
   0x3C80C000,
   0x3B00C000,
   0xA6640000,
   0x02D00488,
   0x03526A00,
   0xF3326A88,
   0x20346064,
   0x09100000,
   0xFD030402,
   0x20B36068,
   0x174D94C0,
   0xF076E400,
   0x600B0377,
   0x3B8C8000,
   0x3C0F8000,
   0x3A008000,
   0x3F008000,
   0x20737000,
   0x28237130,
   0x20F47000,
   0x38A47000,
   0x20F27000,
   0x38A27000,
   0x20F77000,
   0x38A77000,
   0x3B808000,
   0x3C008000,
   0x3A008000,
   0x3F008000,
   0x20737000,
   0x2C237120,
   0x20F47000,
   0x3F247000,
   0x20F27000,
   0x38A27000,
   0x20F77000,
   0x38A77000,
   0xA6680000,
   0xE7324888,
   0x0039E880,
   0x600B811D,
   0x1F000000,
   0xE033E44B,
   0x600B0333,
   0x0057E800,
   0x60010335,
   0x15700800,
   0x11300540,
   0xC11F1F00,
   0x14800808,
   0x60808153,
   0x20B4704C,
   0x5F8F0000,
   0x60800149,
   0x6000813B,
   0xA6610000,
   0x174D94C0,
   0xE074E400,
   0x600B0377,
   0x174D7006,
   0x077A103C,
   0xF071E804,
   0x6081032F,
   0x1047E800,
   0x60810331,
   0x0054E800,
   0x6001035A,
   0x15400800,
   0x20F47003,
   0x20737003,
   0x3A008000,
   0xD0339FFF,
   0x600B8127,
   0x20F17003,
   0x3B808000,
   0x28A37120,
   0x38207000,
   0x38207000,
   0x38207000,
   0x28A27130,
   0x38207000,
   0x38207000,
   0x38207000,
   0x20F27000,
   0x20737000,
   0xE771E804,
   0x608D8125,
   0x04896A0B,
   0x27F28004,
   0x14800808,
   0x20B4704C,
   0x20737000,
   0x20377050,
   0xF06290C0,
   0x07100A80,
   0x60838153,
   0x11100588,
   0x20B7606C,
   0x105994C4,
   0x608B82A2,
   0x13000000,
   0x23B0805C,
   0x008AE1ED,
   0x60090337,
   0x0041E801,
   0x6001015D,
   0x6083015D,
   0x11D00500,
   0x07546800,
   0x779003C8,
   0x01C08188,
   0x02988298,
   0x02988298,
   0x829881E7,
   0x02988298,
   0x02988298,
   0x02988298,
   0x02988298,
   0x02238298,
   0x02988298,
   0x02988298,
   0x02988298,
   0x02988298,
   0x02988298,
   0x02988298,
   0x02988298,
   0x02988298,
   0x02988298,
   0x02988298,
   0x02988298,
   0x02988298,
   0x019E8298,
   0x82988290,
   0x02988298,
   0x02988298,
   0x8298825A,
   0x02988298,
   0x02648298,
   0x02988298,
   0x029881E3,
   0x817F818B,
   0x17734800,
   0xE018E448,
   0x60830223,
   0xE018E447,
   0x608301A2,
   0xE016E44C,
   0x60030274,
   0xF017E443,
   0x6003028D,
   0x60800298,
   0x1143E800,
   0xF012E808,
   0x608B0354,
   0xA0689000,
   0x60030352,
   0x1079E808,
   0x60010366,
   0x3A80C000,
   0x14200688,
   0x04494081,
   0x144D300D,
   0x1074E800,
   0x60010366,
   0x14404809,
   0x04496004,
   0x1743E800,
   0x08400800,
   0x17778550,
   0x600B8368,
   0x012005C8,
   0x60808156,
   0x20B4704C,
   0x10699014,
   0x6083818B,
   0x16690014,
   0x60800356,
   0xA0689000,
   0x60030352,
   0x1079E808,
   0x60010366,
   0x3A80C000,
   0x3C80C000,
   0x20E07000,
   0x111907C2,
   0x20617000,
   0x20E07000,
   0x20E07000,
   0x11200548,
   0x20617000,
   0x46208120,
   0x01200488,
   0x111D300D,
   0x11194008,
   0x1071E800,
   0x60010366,
   0x11090602,
   0x20F17003,
   0x20F24003,
   0x20F47003,
   0x13836800,
   0x03396604,
   0x134DA88F,
   0x1119E008,
   0x252E8080,
   0x608082A6,
   0x20B37060,
   0xA0689000,
   0x600B0339,
   0x1079E808,
   0x6081035E,
   0x12100000,
   0x20E07000,
   0x20617000,
   0x20E07000,
   0xE023E44A,
   0x600381D0,
   0x20E07000,
   0x10296441,
   0x608B829E,
   0x20708000,
   0x3A80C000,
   0x600001D4,
   0x3A80C000,
   0x11100648,
   0x01700800,
   0x20F17003,
   0x01200888,
   0x20617000,
   0x46208120,
   0x20F24003,
   0x01546800,
   0x01134808,
   0x11196804,
   0x252E8080,
   0x600182A5,
   0x03836A00,
   0x032DA80F,
   0x13396A82,
   0x13090702,
   0x608082A6,
   0x20B37060,
   0xA0689000,
   0x6003033B,
   0x600081C2,
   0x111907C2,
   0xA0619000,
   0x600B0298,
   0xF071E804,
   0x6001035C,
   0x3C80C000,
   0xA0689000,
   0x608381F0,
   0x20E07000,
   0x111907C2,
   0x20617000,
   0x20E07000,
   0x20E07000,
   0x044D3000,
   0x12400000,
   0x20627000,
   0x46208120,
   0x20F44003,
   0x111D3008,
   0x01700800,
   0x00048800,
   0x6083833D,
   0x20F17003,
   0x11048828,
   0x6083033F,
   0x0044E820,
   0x60830210,
   0x18894008,
   0x3980C000,
   0x3200C000,
   0x1889600C,
   0x03836A00,
   0x13394A8C,
   0xF1121A89,
   0xF012E889,
   0x60838343,
   0x13090702,
   0x1179E004,
   0x132DA88F,
   0x252E8080,
   0x608082A6,
   0x20B37060,
   0x21208130,
   0x22A08120,
   0x0012E000,
   0x600B0201,
   0xA0689000,
   0x60830341,
   0x21A08134,
   0x22208124,
   0x0012E000,
   0x600B0201,
   0x21A08138,
   0x22208128,
   0x0012E000,
   0x600B0201,
   0x2120813C,
   0x22A0812C,
   0x0012E000,
   0x600B0201,
   0x60800341,
   0xA26C9300,
   0xA02CE200,
   0x6083025D,
   0xA0619000,
   0x600B0298,
   0x1079E808,
   0x60010347,
   0x3C80C000,
   0xA0689000,
   0x6003822F,
   0x20E07000,
   0x111907C2,
   0x10048820,
   0x6083833D,
   0x20617000,
   0x10048808,
   0x6083033F,
   0x3A80C000,
   0x20F24003,
   0xF0186448,
   0x60038251,
   0xF3080702,
   0x0027E880,
   0x608B0345,
   0x10228800,
   0x600B023E,
   0x03000700,
   0x20E07000,
   0x07100A40,
   0x014D3000,
   0x20F47003,
   0x20F77003,
   0x20E07000,
   0x20617000,
   0x46208120,
   0x1129E888,
   0x13836800,
   0x03396602,
   0x032DA80F,
   0x252E8080,
   0x10038430,
   0x600B82A6,
   0x20B37060,
   0xA0649000,
   0x600302A6,
   0x608002A1,
   0x0029E888,
   0x60810256,
   0x0072E820,
   0x60810349,
   0x6080023E,
   0x0029E881,
   0x6081823E,
   0x12700A00,
   0x60000349,
   0xA26C9300,
   0xB02CE000,
   0x600B0298,
   0xF0D1E401,
   0x60038226,
   0x01D00508,
   0xF0D8E408,
   0x60830226,
   0x60808156,
   0x0D090402,
   0xA0689000,
   0x600B036A,
   0x3200C000,
   0x34008004,
   0x1079E808,
   0x6001036C,
   0x02100540,
   0x012005C8,
   0xE2289680,
   0x60838299,
   0x20A47120,
   0x34008008,
   0x0079E80C,
   0x60898299,
   0x20247130,
   0x6080036C,
   0x3A80C000,
   0x1079E804,
   0x60810362,
   0xA0619000,
   0x608B8298,
   0x02000A00,
   0xA0689000,
   0x6083827E,
   0x20E07000,
   0x111907C2,
   0x252E8080,
   0x20617000,
   0x20627000,
   0x20E07000,
   0x10699018,
   0x600B828B,
   0x20E07000,
   0x46204120,
   0x20E07000,
   0x20E07000,
   0x20E07000,
   0x600082A1,
   0x20E07000,
   0x46208120,
   0x608002A1,
   0x1079E804,
   0x60890298,
   0x60000364,
   0xA0689000,
   0x60030358,
   0x1079E808,
   0x60010360,
   0x3980C000,
   0xA6610000,
   0x111D7000,
   0x11000400,
   0x12100000,
   0xA0689000,
   0x608381C5,
   0x04800800,
   0x608081C5,
   0x111907C2,
   0x25A08080,
   0x20E07000,
   0x46208120,
   0x23B08024,
   0x04000000,
   0x608082C5,
   0xE55B954F,
   0x066D97CD,
   0x23B08024,
   0x15E00A80,
   0xF0549440,
   0x608382C5,
   0x04000000,
   0xA0619000,
   0x608B02C5,
   0x14090F02,
   0x07018A00,
   0x608382BE,
   0x07090832,
   0x04800800,
   0x20041000,
   0x1404E400,
   0x60038312,
   0x08000500,
   0x14090501,
   0x0074E880,
   0x608902BA,
   0x14700880,
   0x5F8C0000,
   0x0774EA80,
   0x10078820,
   0x600B0305,
   0x10699012,
   0x0FF004C0,
   0x600382C4,
   0x30F40000,
   0x133DAA8F,
   0x20736002,
   0x21F08000,
   0xA0649000,
   0x600382DF,
   0x04100800,
   0x10699011,
   0x600B02E6,
   0x22B08010,
   0x23B08014,
   0x21308050,
   0xA0689000,
   0x20B27040,
   0x608B82DC,
   0x20B37044,
   0x1019E801,
   0xF0529440,
   0x22B08004,
   0x23B08000,
   0x608302DA,
   0xE66E17C1,
   0xF02E94C0,
   0xF06664C0,
   0x600B02F7,
   0xF02E94C0,
   0x678D02F1,
   0x0049C801,
   0xF0549440,
   0x600B0303,
   0x2300F000,
   0x0CC96001,
   0x60838397,
   0x20B47054,
   0xC0329000,
   0x600B0381,
   0x90800000,
   0xE0389080,
   0x22B08008,
   0x600302CA,
   0xFE33108F,
   0x122A11C0,
   0x1EE28000,
   0x30E81000,
   0x0040B000,
   0x120D000C,
   0x600082CE,
   0x030D000F,
   0xE02694C0,
   0x687B0000,
   0xF22717CF,
   0xE2240540,
   0x68708000,
   0x20B27004,
   0x60050301,
   0xF02794C0,
   0x678302F3,
   0x13394803,
   0xC33F1FFC,
   0x20030000,
   0x183A10FF,
   0x3B808000,
   0x0331C886,
   0x0339D801,
   0x600102DC,
   0x6000036E,
   0x600102DF,
   0x60000370,
   0x20740000,
   0x1477E880,
   0x1FF91001,
   0x0FF00700,
   0x20071000,
   0x6089830E,
   0x188A11FC,
   0x5F8C0000,
   0x600002BE,
   0x5F080000,
   0x600302BE,
   0x60008309,
   0x0447E800,
   0x0777EA80,
   0x600102B9,
   0x5F080000,
   0x608002BC,
   0x25B08000,
   0x2100E210,
   0xF02E94C0,
   0x258DE214,
   0x678D02F1,
   0x20B17040,
   0x00699481,
   0x60038321,
   0x20B57044,
   0x033997CF,
   0x133687C0,
   0x38B37000,
   0x3D347000,
   0x5B0A0000,
   0x04498681,
   0x20347000,
   0x90800000,
   0x24308000,
   0x00699481,
   0x60830324,
   0x27B08008,
   0x077997CF,
   0x177687C0,
   0x60008324,
   0x20B77008,
   0x60008378,
   0xE3010400,
   0x60008378,
   0xF3010404,
   0x60008378,
   0xE3010405,
   0x60008378,
   0xE3010406,
   0x60008378,
   0xF3010407,
   0x60008378,
   0xE3010409,
   0x60008378,
   0xE301040A,
   0x60008378,
   0xE301040C,
   0x60008378,
   0xF301040D,
   0x60008378,
   0xF301040E,
   0x60008378,
   0xE301040F,
   0x60008378,
   0xE3020400,
   0x60008378,
   0xF3020401,
   0x22B08004,
   0x21B08010,
   0x24308014,
   0xF02E94C0,
   0x670B82F1,
   0xF3020402,
   0x20B17040,
   0x60008371,
   0x20347044,
   0x60008378,
   0xF302040D,
   0x60008378,
   0xF302040E,
   0x60008378,
   0xE3030401,
   0x60008378,
   0xE3030404,
   0x60008378,
   0xF303040F,
   0x60008378,
   0xE3040400,
   0x60008378,
   0xF3040401,
   0x60008378,
   0xE3040405,
   0x60008378,
   0xE3040406,
   0x60008378,
   0xF3040407,
   0x60008378,
   0xF3040408,
   0x60008378,
   0xE3040409,
   0x60008378,
   0xF304040B,
   0x60008378,
   0xE304040C,
   0x60008371,
   0xF3060405,
   0xE3060404,
   0x6080837A,
   0xE201080B,
   0x60008378,
   0xE3060407,
   0x60008378,
   0xE3060408,
   0xF3060409,
   0x02080800,
   0x00000119,
   0x105994C4,
   0x6083037E,
   0xF30C040F,
   0x12000400,
   0x2780F000,
   0xD0729000,
   0x60030383,
   0x1309040D,
   0xF2010400,
   0x00699481,
   0x60030389,
   0x27B08008,
   0x077997CF,
   0x177687C0,
   0x20B77008,
   0x24308000,
   0x21B08004,
   0x0433C600,
   0x6001838F,
   0xF44887C0,
   0x044987C1,
   0x12299541,
   0x14428690,
   0xF11E1680,
   0x11120680,
   0x25347000,
   0x20B17004,
   0x2034700C,
   0x90800000,
   0x20681000,
   0x00108000,
   0x20BD7010,
   0x6000808B,
   0x20BF7014,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x42902000,
   0x00007350,
   0x00000000,
   0x42102038,
   0x00007331,
   0x03310331,
   0x202C7014,
   0x00000001,
   0x80000000,
   0x10000000,
   0x00000000
};

#define ARRAY_ELEMCOUNT(_a)  (sizeof(_a) / sizeof(_a[0]))

/*----------------------------------------------------------------------------
 * FIRMWARE_EIP207_DWLD_OPUE_GetReferences
 *
 * This function returns references to the firmware images required by
 * EIP207 Driver Library.
 */
void
FIRMWARE_EIP207_DWLD_OPUE_GetReferences(
        FIRMWARE_EIP207_DWLD_t * const FW_p)
{
    if (!FW_p)
        return;

    FW_p->Version_MaMiPa = FW_VERSION;
    FW_p->Major = FW_VERSION_MAJOR;
    FW_p->Minor = FW_VERSION_MINOR;
    FW_p->PatchLevel = FW_VERSION_PATCH;
    FW_p->Image_p = FIRMWARE_EIP207_DWLD_OPUE_Image;
    FW_p->WordCount = ARRAY_ELEMCOUNT(FIRMWARE_EIP207_DWLD_OPUE_Image);
}

/* end of file ./firmware_eip207_opue.c */

